CON

  _clkmode  = xtal1 + pll16x
  _xinfreq  = 5_000_000
  _angle    = $20000000 

  ' some common angles for testing with
  ' 45  = $20000000    /
  ' 90  = $40000000    |
  ' 135 = $60000000    \
  ' 180 = $80000000   <-  
  ' 225 = $A0000000    /
  ' 270 = $C0000000    |
  ' 315 = $E0000000    \
     
  _length   = 1000 


VAR

long  rcos, rsin


OBJ

  text     : "tv_text"
  cordic   : "cordicresolve"
  floaty   : "floatmath"
  floater  : "floatstring"
  

PUB start | i,cos,sin,out,cosstring,fcos,bit32
  text.start(12)      'start TV text object  
  cordic.start(_angle,_length)
  waitcnt(cnt+10000)
  sin := cordic.get_sin
  cos := cordic.get_cos

  repeat  'loop forever and ever and ever
    text.str(string(13,"Cordic R.cos, R.sine calcs"))
    text.str(string(13,13,"input angle:  "))
    text.hex(_angle,8)
    text.str(string(" H",13,"input length: "))
    text.dec(_length)
    text.str(string(13,13,"x component: "))
    text.dec(cos)                       '
    text.str(string(13,"y component: "))
    text.dec(sin)                           
    waitcnt(cnt+100000000)       
    text.out($00)                                       ' clear screen  